package com.zehong.system.domain.vo;

public class ProAppInfoVo {

    /** 数据限定 */
    private String deptCode;

    /** 数据来源-G政府：E企业 */
    private String source;

    /** 人员编码 */
    private String code;

    /** 专家姓名 */
    private String name;

    /** 身份证号 */
    private String idNo;

    /** 性别：1-男性，2-女性 */
    private String sex;

    /** 出生日期 */
    private String birthday;

    /** 邮箱 */
    private String email;

    /** 联系电话 */
    private String phone;

    /** 文化程度 */
    private String education;

    /** 毕业院校 */
    private String graduationSchool;

    /** 所属专业 */
    private String major;

    /** 毕业时间 */
    private String graduationTime;

    /** 工作单位编码 */
    private String entUuid;

    /** 工作单位名称 */
    private String workUnit;

    /** 参加工作时间 */
    private String workTime;

    /** 所在部门 */
    private String department;

    /** 职务 */
    private String duties;

    /** 专业技术职称 */
    private String majorTitle;

    /** 现从事专业 */
    private String majorNow;

    /** 从事专业工作年限 */
    private Long majorLife;

    /** 从事行业燃气种类 可以是多个，逗号分割

     03-0100-0101：管道燃气

     03-0100-0102：液化天然气（LNG）

     03-0100-0103：压缩天然气(CNG)

     03-0200：液化石油气(LPG)

     03-0300：人工煤气

     03-0400：液化石油气混空气

     03-0500：沼气

     03-0600：氢气 */
    private String gasType;

    /** 擅长工作领域，可以是多个，逗号分割 */
    private String goodArea;

    /** 相关学习工作经历及工作业绩 */
    private String learningWorkExperience;

    /** 所在地区 */
    private String area;

    /** 删除标记，0-可用，1-已删除 */
    private Long deleteFlag;

    /** 市局燃气主管部门意见 */
    private String cRecord;

    /** 省级燃气主管部门意见 */
    private String pRecord;

    /** 照片 */
    private String picture;

    /** 最后修改时间 */
    private String updateTime;

    /** 是否省级专家 1 是，0 不是 */
    private String thisProvinceFlag;

    public String getDeptCode() {
        return deptCode;
    }

    public void setDeptCode(String deptCode) {
        this.deptCode = deptCode;
    }

    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getIdNo() {
        return idNo;
    }

    public void setIdNo(String idNo) {
        this.idNo = idNo;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    public String getBirthday() {
        return birthday;
    }

    public void setBirthday(String birthday) {
        this.birthday = birthday;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getEducation() {
        return education;
    }

    public void setEducation(String education) {
        this.education = education;
    }

    public String getGraduationSchool() {
        return graduationSchool;
    }

    public void setGraduationSchool(String graduationSchool) {
        this.graduationSchool = graduationSchool;
    }

    public String getMajor() {
        return major;
    }

    public void setMajor(String major) {
        this.major = major;
    }

    public String getGraduationTime() {
        return graduationTime;
    }

    public void setGraduationTime(String graduationTime) {
        this.graduationTime = graduationTime;
    }

    public String getEntUuid() {
        return entUuid;
    }

    public void setEntUuid(String entUuid) {
        this.entUuid = entUuid;
    }

    public String getWorkUnit() {
        return workUnit;
    }

    public void setWorkUnit(String workUnit) {
        this.workUnit = workUnit;
    }

    public String getWorkTime() {
        return workTime;
    }

    public void setWorkTime(String workTime) {
        this.workTime = workTime;
    }

    public String getDepartment() {
        return department;
    }

    public void setDepartment(String department) {
        this.department = department;
    }

    public String getDuties() {
        return duties;
    }

    public void setDuties(String duties) {
        this.duties = duties;
    }

    public String getMajorTitle() {
        return majorTitle;
    }

    public void setMajorTitle(String majorTitle) {
        this.majorTitle = majorTitle;
    }

    public String getMajorNow() {
        return majorNow;
    }

    public void setMajorNow(String majorNow) {
        this.majorNow = majorNow;
    }

    public Long getMajorLife() {
        return majorLife;
    }

    public void setMajorLife(Long majorLife) {
        this.majorLife = majorLife;
    }

    public String getGasType() {
        return gasType;
    }

    public void setGasType(String gasType) {
        this.gasType = gasType;
    }

    public String getGoodArea() {
        return goodArea;
    }

    public void setGoodArea(String goodArea) {
        this.goodArea = goodArea;
    }

    public String getLearningWorkExperience() {
        return learningWorkExperience;
    }

    public void setLearningWorkExperience(String learningWorkExperience) {
        this.learningWorkExperience = learningWorkExperience;
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public Long getDeleteFlag() {
        return deleteFlag;
    }

    public void setDeleteFlag(Long deleteFlag) {
        this.deleteFlag = deleteFlag;
    }

    public String getcRecord() {
        return cRecord;
    }

    public void setcRecord(String cRecord) {
        this.cRecord = cRecord;
    }

    public String getpRecord() {
        return pRecord;
    }

    public void setpRecord(String pRecord) {
        this.pRecord = pRecord;
    }

    public String getPicture() {
        return picture;
    }

    public void setPicture(String picture) {
        this.picture = picture;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public String getThisProvinceFlag() {
        return thisProvinceFlag;
    }

    public void setThisProvinceFlag(String thisProvinceFlag) {
        this.thisProvinceFlag = thisProvinceFlag;
    }

    @Override
    public String toString() {
        return "ProAppInfoVo{" +
                "deptCode='" + deptCode + '\'' +
                ", source='" + source + '\'' +
                ", code='" + code + '\'' +
                ", name='" + name + '\'' +
                ", idNo='" + idNo + '\'' +
                ", sex='" + sex + '\'' +
                ", birthday='" + birthday + '\'' +
                ", email='" + email + '\'' +
                ", phone='" + phone + '\'' +
                ", education='" + education + '\'' +
                ", graduationSchool='" + graduationSchool + '\'' +
                ", major='" + major + '\'' +
                ", graduationTime='" + graduationTime + '\'' +
                ", entUuid='" + entUuid + '\'' +
                ", workUnit='" + workUnit + '\'' +
                ", workTime='" + workTime + '\'' +
                ", department='" + department + '\'' +
                ", duties='" + duties + '\'' +
                ", majorTitle='" + majorTitle + '\'' +
                ", majorNow='" + majorNow + '\'' +
                ", majorLife=" + majorLife +
                ", gasType='" + gasType + '\'' +
                ", goodArea='" + goodArea + '\'' +
                ", learningWorkExperience='" + learningWorkExperience + '\'' +
                ", area='" + area + '\'' +
                ", deleteFlag=" + deleteFlag +
                ", cRecord='" + cRecord + '\'' +
                ", pRecord='" + pRecord + '\'' +
                ", picture='" + picture + '\'' +
                ", updateTime='" + updateTime + '\'' +
                ", thisProvinceFlag='" + thisProvinceFlag + '\'' +
                '}';
    }
}
